package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 化学品使用记录对象 hxp_userecord
 *
 * @author cyl
 * @date 2022-06-18
 */
@ApiModel("化学品使用记录")
public class HxpUserecordSearch  extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    @ApiModelProperty(value = "化学品分类")
    private Integer chemicalClassify;

    @ApiModelProperty(value = "学院")
    private Long deptId;

    @ApiModelProperty(value = "机柜")
    private Integer cabinetId;

    @ApiModelProperty(value = "属性")
    private Integer classifyAttribute;

    @ApiModelProperty(value = "状态")
    private Integer useStatus;

    @ApiModelProperty(value = "标签类型")
    private Integer labelType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "领用开始时间")
    private Date collectTimeBegin;

    @ApiModelProperty(value = "领用结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date collectTimeEnd;

    @ApiModelProperty(value = "归还开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date returnTimeBegin;

    @ApiModelProperty(value = "归还结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date returnTimeEnd;

    @ApiModelProperty(value = "登录用户id")
    private Long loginUserId;

    /**
     * 批量操作的id集合
     */
    private List <Long> ids;

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getChemicalClassify() {
        return chemicalClassify;
    }

    public void setChemicalClassify(Integer chemicalClassify) {
        this.chemicalClassify = chemicalClassify;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Integer cabinetId) {
        this.cabinetId = cabinetId;
    }

    public Integer getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(Integer classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public Integer getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public Date getCollectTimeBegin() {
        return collectTimeBegin;
    }

    public void setCollectTimeBegin(Date collectTimeBegin) {
        this.collectTimeBegin = collectTimeBegin;
    }

    public Date getCollectTimeEnd() {
        return collectTimeEnd;
    }

    public void setCollectTimeEnd(Date collectTimeEnd) {
        this.collectTimeEnd = collectTimeEnd;
    }

    public Date getReturnTimeBegin() {
        return returnTimeBegin;
    }

    public void setReturnTimeBegin(Date returnTimeBegin) {
        this.returnTimeBegin = returnTimeBegin;
    }

    public Date getReturnTimeEnd() {
        return returnTimeEnd;
    }

    public void setReturnTimeEnd(Date returnTimeEnd) {
        this.returnTimeEnd = returnTimeEnd;
    }

    public List <Long> getIds() {
        return ids;
    }

    public void setIds(List <Long> ids) {
        this.ids = ids;
    }

    public Long getLoginUserId() {
        return loginUserId;
    }

    public void setLoginUserId(Long loginUserId) {
        this.loginUserId = loginUserId;
    }
}
